Panda3D

Loading...
Searching...
No Matches
Public Member Functions | List of all members
EggSaver Class Reference

Converts the scene graph beginning at the indicated node into an EggData structure, for writing to an egg file. More...

`#include "eggSaver.h"`

## Public Member Functions
| EggSaver (EggData *data=nullptr)
void | add_node (PandaNode *node)
| Adds the scene graph rooted at the indicated node to the accumulated egg data within this object.
void | add_subgraph (PandaNode *root)
| Adds the scene graph rooted at the indicated node (but without the node itself) to the accumulated egg data within this object.
EggData * | get_egg_data () const
| Returns the EggData populated within this class.

## Detailed Description

Converts the scene graph beginning at the indicated node into an EggData structure, for writing to an egg file.

The conversion is not necessarily complete (some Panda or egg constructs are not fully supported by this class).

Definition at line 53 of file eggSaver.h.

## Constructor & Destructor Documentation

## ◆ EggSaver()

EggSaver::EggSaver | ( | EggData * | data = nullptr | ) |

Definition at line 83 of file eggSaver.cxx.

## Member Function Documentation

## ◆ add_node()

void EggSaver::add_node | ( | PandaNode * | node | ) |

Adds the scene graph rooted at the indicated node to the accumulated egg data within this object.

Call get_egg_data() to retrieve the result.

Definition at line 96 of file eggSaver.cxx.

Referenced by save_egg_data(), and save_egg_file().

## ◆ add_subgraph()

void EggSaver::add_subgraph | ( | PandaNode * | root | ) |

Adds the scene graph rooted at the indicated node (but without the node itself) to the accumulated egg data within this object.

Call get_egg_data() to retrieve the result.

Definition at line 116 of file eggSaver.cxx.

Referenced by save_egg_data(), and save_egg_file().

## ◆ get_egg_data()

EggData * EggSaver::get_egg_data | ( |  | ) | const
| inline

Returns the EggData populated within this class.

Definition at line 17 of file eggSaver.I.

The documentation for this class was generated from the following files:

- panda/src/egg2pg/eggSaver.h
- panda/src/egg2pg/eggSaver.cxx
- panda/src/egg2pg/eggSaver.I